# Being More Productive with Jupyter Notebooks: An Introduction to NBExtensions

This talk is about how to get the most out of the [NBExtensions]() feature of Jupyter Notebooks.

NBExtensions provide an array of interesting functionality to Jupyter and this talk touches on a few of them, including

* gist-it
* table of contents
* spell checker,
* and others

The original talk was presented on April 21, 2017 by me (myself and I) to the [CU Boulder Computational Science and Engineering Research Group](https://www.meetup.com/University-of-Colorado-Computational-Science-and-Engineering/events/239108756/).

## Installing the talk

This talk was originally written as a Jupyter notebook and the HTML file for the talk is using [reveal.js](http://lab.hakim.se/reveal-js/#/).

To convert the talk to HTML you will need to run:
```
jupyter nbconvert nbextensions_talk.ipynb --to slides --reveal-prefix "http://cdnjs.cloudflare.com/ajax/libs/reveal.js/3.3.0"
```

## Viewing the talk

While the source for the talk is provided here, you do not need to convert it unless you need to make modifications to it.

To view the talk, _simply clone this repository_ and _view the original HTML source in any browser_ in the

* [original source HTML in `nbextensions_talk.slides.html`](./nbextensions_talk.slides.html) ready to be viewed.

An example file that shows a few of these extensions at work can be found in the

* [notebook in `example_document.ipynb`](./example_document.ipynb) or
* [as HTML in `example_document.html`](./example_document.html)

## Resources

To understand the full installation requirement for NBExtensions explore here:

[https://github.com/ipython-contrib/jupyter_contrib_nbextensions](https://github.com/ipython-contrib/jupyter_contrib_nbextensions)

And if you'd like the convenience of installing the plugin configurator, that can be found here:
[https://github.com/Jupyter-contrib/jupyter_nbextensions_configurator](https://github.com/Jupyter-contrib/jupyter_nbextensions_configurator)

The complete instructions and project documentation **should be consulted to install and use properly to fullest extent**.

## LICENSE

CC-BY-4.0

![](https://i.creativecommons.org/l/by/4.0/88x31.png)

This work is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).